Back to Instagram
Apify·Instagram

Instagram Comments Scraper

/apify/instagram-comment-scraperasync$0.0065 / result

Scrape Instagram comments from posts or reels. Just add one or more Instagram post URLs to get comment text, post and comment IDs, replies, timestamp, owner IDs, usernames, profile pics. Export scraped datasets, run the scraper via API, schedule and monitor runs or integrate with other tools. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • directUrlsarrayrequired

    Add one or multiple URLs to scrape comments from - posts or reels. You can add URLs one by one or upload a list using the Bulk edit option.

  • resultsLimitinteger

    Set the number of comments you expect to scrape from each post or reel. If set to 5, you will get 5 comments per URL. If you add 2 URLs, you will extract 10 results altogether.❗️ If you choose to scrape replies as well, the total number will be greater than you set for comments.

  • includeNestedCommentsboolean

    This feature is for paying users only. If checked, the scraper will extract replies for each comment.⚠️ Note that each reply/comment will be displayed as a separate result, so you'll get more results in total than you set in `resultsLimit` section above.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apify/instagram-comment-scraper","input":{"directUrls":["https://www.instagram.com/p/DN8-GjPkgjS","https://www.instagram.com/reel/DDIJAfeyemG"]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.